#!/usr/bin/python -tt

import socket
import sys

def main(argv):

    s = None

    bind_interface = '192.168.200.2'

    if len(argv) > 1:
        bind_interface = argv[1]

    try:
        s = socket.socket(socket.AF_INET, socket.SOCK_DGRAM)
        s.setsockopt(socket.SOL_SOCKET, socket.SO_BROADCAST,1)
        s.bind((bind_interface, 12121))
        s.sendto("cetonresetnetwork\0", ('<broadcast>', 12121))
    except:
        print 'Failed to send reset'
    finally:
        if s:
            s.close()

if __name__ == "__main__":
    main(sys.argv)
